Name:		q4wine
Version:	1.4.2
Release:	%mkrel 1
Summary:	Qt GUI for W.I.N.E
Group:		Emulators
License:	GPLv3
URL:		https://q4wine.brezblock.org.ua/
Source0:	https://github.com/brezerk/q4wine/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		q4wine-1.3.11-linking.patch
Patch1:		q4wine-1.4.2-fix-translations-build.patch

ExclusiveArch:	%{ix86} x86_64 aarch64

BuildRequires:	cmake
BuildRequires:	icoutils
BuildRequires:	fuseiso
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

Requires:	fuseiso
Requires:	icoutils
Requires:	qt6-database-plugin-sqlite
Requires:	sudo
Requires:	wget
Requires:	wine-bin

%description
Q4Wine will help you manage wine prefixes and installed applications.

General features are:
- Easy controlling for wine process;
- Autostart icons support;
- Easy cd-image use;
- You can extract icons from PE files (.exe .dll);
- Easy backup and restore for managed prefixes;
- Winetriks support.

%prep
%autosetup -p1

%build
%cmake_qt6 \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DLIBS_ENTRY_PATH=%{_libdir} \
	-DWITH_SYSTEM_SINGLEAPP=OFF \
	-DUSE_GZIP=ON
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_iconsdir}/ubuntu-mono-dark/scalable/apps/%{name}.svg

%files
%license COPYING
%doc AUTHORS.md README.md Changelog.md
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_libdir}/lib%{name}-core.so
%{_mandir}/man1/%{name}*.1*
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_metainfodir}/*.xml


%changelog
* Wed Jun 18 2025 daviddavid <daviddavid> 1.4.2-1.mga10
+ Revision: 2192617
- new version: 1.4.2

* Sun Apr 27 2025 daviddavid <daviddavid> 1.4.1-1.mga10
+ Revision: 2179256
- new version: 1.4.1
- switch to Qt6

* Mon May 15 2023 neoclust <neoclust> 1.3.13-3.mga9
+ Revision: 1957008
- There is no wine on armv7

* Sat Nov 19 2022 daviddavid <daviddavid> 1.3.13-2.mga9
+ Revision: 1908763
- skip rpath during cmake build and move again library files in lib dir

* Tue Nov 15 2022 daviddavid <daviddavid> 1.3.13-1.mga9
+ Revision: 1907718
- use default library path as of /usr/lib(64)/q4wine/, thus fixing:
  ° ERROR 0001: file '/usr/bin/q4wine' contains a standard runpath '/usr/lib64' in [/usr/lib64]
- new version: 1.3.13
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.3.12-2.mga8
+ Revision: 1659441
- Rebuild for new Qt5

* Fri Feb 21 2020 daviddavid <daviddavid> 1.3.12-1.mga8
+ Revision: 1548376
- new version: 1.3.12

* Sat Feb 15 2020 umeabot <umeabot> 1.3.11-3.mga8
+ Revision: 1524937
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.3.11-2.mga7
+ Revision: 1384124
- Qt5 Rebuild

* Wed Feb 06 2019 daviddavid <daviddavid> 1.3.11-1.mga7
+ Revision: 1363648
- new version: 1.3.11

* Mon Oct 22 2018 daviddavid <daviddavid> 1.3.10-1.mga7
+ Revision: 1323525
- new version: 1.3.10
- remove merged upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 1.3.7-2.mga7
+ Revision: 1300630
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 daviddavid <daviddavid> 1.3.7-1.mga7
+ Revision: 1235290
- new version: 1.3.7
- add upstream patch to fix build with new Qt5 >= 5.11.0
- use system qtsingleapplication

* Sat Dec 30 2017 akien <akien> 1.3.6-1.mga7
+ Revision: 1187736
- Version 1.3.6

* Thu May 04 2017 akien <akien> 1.3.5-1.mga6
+ Revision: 1098987
- Version 1.3.5

* Tue Jan 17 2017 akien <akien> 1.3.4-1.mga6
+ Revision: 1082163
- Version 1.3.4

* Sat Nov 12 2016 akien <akien> 1.3.3-1.mga6
+ Revision: 1066857
- Version 1.3.3

* Fri Sep 09 2016 akien <akien> 1.3.2-1.mga6
+ Revision: 1051050
- Add missing qt5-database-plugin-sqlite Requires (mga#18670)
- Version 1.3.2

* Sat Aug 27 2016 akien <akien> 1.3.1-1.mga6
+ Revision: 1049292
- Version 1.3.1

* Thu Apr 14 2016 akien <akien> 1.3-1.mga6
+ Revision: 1001368
- Version 1.3

* Fri Jan 15 2016 akien <akien> 1.2.r2-2.mga6
+ Revision: 923259
- Refer to Qt5 instead of Qt4 in summary

* Thu Jan 14 2016 akien <akien> 1.2.r2-1.mga6
+ Revision: 923051
- Version 1.2-r2
- Build with Qt5

* Wed Dec 10 2014 wally <wally> 1.1-0.r2.1.mga5
+ Revision: 802609
- add patch to fix linking
- build with system QtSingleApplication library
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ malo <malo>
- update to 1.1-r2

* Sun Dec 01 2013 doktor5000 <doktor5000> 1.0-0.r3.4.mga4
+ Revision: 554564
-set -DLIBS_ENTRY_PATH=%%_libdir to fix library issue (mga#11845)

* Sat Oct 19 2013 umeabot <umeabot> 1.0-0.r3.3.mga4
+ Revision: 527729
- Mageia 4 Mass Rebuild
+ dams <dams>
- clean specfile

* Tue Jun 11 2013 malo <malo> 1.0-0.r3.2.mga4
+ Revision: 442007
- spec clean-up (by Tomas Deltell)

* Sun Jun 09 2013 malo <malo> 1.0-0.r3.1.mga4
+ Revision: 441352
- add BuildRequires qt4-devel
- import of q4wine (package by Tomas Deltell - annubis)

